PHP-инклюдинг и SQL-инъекция в DeluxeBB

Дата публикации:
16.06.2006
Дата изменения:
17.10.2006
Всего просмотров:
2744
Опасность:
Высокая
Наличие исправления:
Частично
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-2914
CVE-2006-2915
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
DeluxeBB 1.x
Уязвимые версии: DeluxeBB 1.06, возможно другие версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести SQL-инъекцию и скомпрометировать целевую систему.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "templatefolder" в различных сценариях. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена. Пример:

http://[host]/templates/deluxe/postreply.php?templatefolder=[file]
http://[host]/templates/deluxe/posting.php?templatefolder=[file]
http://[host]/templates/deluxe/pm/newpm.php?templatefolder=[file]
http://[host]/templates/default/postreply.php?templatefolder=[file]
http://[host]/templates/default/posting.php?templatefolder=[file]
http://[host]/templates/default/pm/newpm.php?templatefolder=[file]

2. Уязвимость существует из-за недостаточной обработки входных данных в параметрах "hideemail", "languagex", "xthetimeoffset" и "xthetimeformat" во время регистрации учетной записи. Удаленный пользователь может выполнить произвольные SQL команды в базе данных приложения. Для удачной эксплуатации уязвимости опция "magic_quotes_gpc" должна быть отключена.

URL производителя: www.deluxebb.com

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: DeluxeBB SQL Injection and File Inclusion Vulnerabilities

или введите имя

CAPTCHA